Bug 54508 - Common serial layer should only be present if serial dds exist
Summary: Common serial layer should only be present if serial dds exist
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: Serial device driver   
(Show other bugs)
Version: CVS
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ecc-bugs-int
QA Contact: ecc-bugs-int
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-10 17:51 UTC by Jonathan Larmour
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 16:02:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Larmour 2001-10-10 17:51:02 UTC
Description of Problem:

The common serial layer in io/serial/current/src/common/serial.c should
only be included if there are real serial device drivers. This requires
each driver instance to implement an interface that the compilation of
serial.c can conditionalize on.

Comment 1 Alex Schuilenburg 2003-06-20 16:02:42 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=54508


Note You need to log in before you can comment on or make changes to this bug.